Locale
Locale::canonicalize
Locale
PHP Manual

# Locale::acceptFromHttp

# locale_accept_from_http

(PHP 5 >= 5.3.0, PECL intl >= 1.0.0)

Locale::acceptFromHttp -- locale_accept_from_http — Tries to find out best available locale based on HTTP "Accept-Language" header

### Description

Object oriented style

public static string Locale::acceptFromHttp ( string `$header` )

Procedural style

string locale_accept_from_http ( string `$header` )

Tries to find locale that can satisfy the language list that is requested by the HTTP "Accept-Language" header.

### Parameters

`header`

  The string containing the "Accept-Language" header according to format in RFC 2616.

### Return Values

The corresponding locale identifier.

### Examples

Example #1 locale_accept_from_http() example

`<?php
$locale = locale_accept_from_http($_SERVER['HTTP_ACCEPT_LANGUAGE']);
echo $locale;
?>`

Example #2 OO example

`<?php
$locale = Locale::acceptFromHttp($_SERVER['HTTP_ACCEPT_LANGUAGE']);
echo $locale;
?>`

The above example will output:

    en_US

### See Also

- locale_lookup() - Searches the language tag list for the best match to the language

Locale
Locale::canonicalize
Locale
PHP Manual